<?php

namespace App\Http\Controllers;

use App\AsignacionMateriaDocente;
use App\Encabezadopie;
use App\AsignaciorHorario;
use App\InstrumentacionDidactica;
use App\InstrumentacionDidacticaEncabezadoPie;
use App\RenglonUnidadInstrumentacionDidactica;
use App\RenglonIndicadorInstrumentacionDidactica;
use App\TotalInstrumentacionDidactica;
use App\ObservacionesID;
use App\Docente;
use App\DocenteEvaluacionA;
use App\DocenteEvaluacionDEP;
use App\FirmarEA;
use App\Aula;
use App\FirmarED;
use App\FirmarID;
use App\Horario;
use App\Materia;
use App\Periodos;
use App\Temario;
use App\TemarioActividadAprendizaje;
use App\Temuni;
use App\Planestudios;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Barryvdh\DomPDF\Facade\Pdf;

class InstrumentacionDidacticaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {

        $data = $request->all();
        $cvem = Materia::where('nombre_mat', $data['materia'])->first();
        $cd = Docente::with('AsignacionMateria.materia')->whereHas('AsignacionMateria.materia', function ($query) use ($cvem) {
            $query = $query->where('cve_mat', $cvem->cve_mat);
        })->where('id', $data['docente'])->first();
        $docente=$data['docente'];
        $peri = Periodos::max('id');
        $peri = Periodos::where('id', $peri)->first();
        $t = Temario::where('cve_mat', $cvem->cve_mat)->first();
        $sal = AsignacionMateriaDocente::where('cve_mat', $cvem->cve_mat)->with('AsignacionHorario.horario')->get();
        $tem = Temario::with('materia')->where('cve_tem', $t->cve_tem)->first();
        $uni = Temuni::with('Unidad')->where('cve_tem', $t->cve_tem)->get();
        $act = TemarioActividadAprendizaje::with('ActividadAprendizaje')->where('cve_tem', $t->cve_tem)->get();
        $tamUni=Temuni::with('Unidad')->where('cve_tem', $t->cve_tem)->count();
        $plan=Planestudios::where('status_planest', '1')->get();
        return view('docente.instrumentacion_didactica.nuevo', compact('docente','cd', 'tem', 'uni', 'act', 'peri', 'sal','tamUni','plan'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $doc = Docente::with('AsignacionMateria.materia')->where('estado', '1')->where('id', 227)->first();
        $banderaED = DocenteEvaluacionDEP::with('evaluacionDiag')->where('id', 227)->get();
        $banderaID= InstrumentacionDidacticaEncabezadoPie::with('instrumentacionDidactica')->where('id',227)->get();
        $banderaEDF = FirmarED::with('evalDiag')->get();
        $banderaEA = DocenteEvaluacionA::with('reporteEvalAcre')->where('id', 227)->get();
        $banderaEAF = FirmarEA::with('evalAcreditacion')->get();
        return view('docente.instrumentacion_didactica.principalNuevo', compact('doc', 'banderaID','banderaED', 'banderaEDF', 'banderaEA', 'banderaEAF'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $data = $request->all();
        if ($data['estado']==2) {
            $obs=ObservacionesID::where('cve_instdidac',$data['ind'])->where('status_obid',1)->first();
            if($obs!=null){
                $o=ObservacionesID::findOrFail($obs->cve_obid);
                $o->status_obid=0;
                $o->save();
            }
            $usuario = json_decode($_COOKIE['crs']);
            $dins=InstrumentacionDidacticaEncabezadoPie::where('cve_instdidac',$data['ind'])->first();
            $d = Docente::where('id', $dins->id)->first();
            $nombreC = $d->nombre . " " . $d->apellido_paterno . " " . $d->apellido_materno;

            $inst=InstrumentacionDidactica::findOrFail($data['ind']);
            $inst->estado_instdidac=$data['status'];
            $inst->save();
            $insF = InstrumentacionDidactica::where('cve_instdidac', intval($data['ind']))->first();
            $fecha = $insF->updated_at;
            $fechaAct = Carbon::now();
            $fechaAct = $fechaAct->format('Y-m-d');
            FirmarID::create(['fechadocente_firid'=>$fecha, 'fechajefe_firid'=>$fechaAct, 'qrdocente_firid'=>$nombreC, 'qrjefe_firid'=>$usuario->idDP, 'cve_instdidac'=>$insF->cve_instdidac,]);
            return response()->json(['estado' => 'Exito', 'mensaje' => 'La Instrumentación Didáctica a sido Aceptada!', 'jefe' => 1]);
        } else {
            if ($data['estado'] == 1) {
                if ($data['status'=="Entregado"]) {
                $au=Aula::where('id_aula', $data['aula'])->first();
                $insdi=instrumentaciondidactica::create(['horasTeoricas_instdidac'=>$data['horaT'], 'horasPracticas_instdidac'=>$data['horaP'], 'totalCreditos_instdidac'=>$data['total'], 'obj_instdidac'=>$data['obj'], 'obser_instdidac'=>$data['observacion'], 'status_instdidac'=>$data['estado'],'estado_instdidac'=>$data['status'], 'cve_mat'=>$data['materia'], 'cve_planest'=>$data['plan'], 'cve_aula'=>$au->cve_aula, 'cve_grup'=>$data['grupo'], 'id_periodo'=>$data['periodo'],]);
                $enca = encabezadopie::max('cve_encpie');
                $enca = encabezadopie::where('cve_encpie', $enca)->first();
                InstrumentacionDidacticaEncabezadoPie::create(['cve_instdidac'=>$insdi->cve_instdidac, 'cve_encpie'=>$enca->cve_encpie,'id'=>$data['docente']]);
                $renglonuni = json_decode($data['infoUni']);
                if ($renglonuni != []) {
                    foreach ($renglonuni as $ru) {
                        RenglonUnidadInstrumentacionDidactica::create(['noUni_renid'=>$ru->unidad,'practicaDesc_renid'=>$ru->desc, 'practicaRes_renid'=>$ru->res, 'hrTPP_renid'=>$ru->P, 'hrTPE_renid'=>$ru->R,'fechaIni_renid'=>date("Y-m-d",strtotime($ru->fechaIni)),'fechaFin_renid'=>date("Y-m-d",strtotime($ru->fechaFin)),'cve_instdidac'=>$insdi->cve_instdidac,]);
                    }
                }
                $renglonindicador=json_decode($data['renglonIndicador']);
                if ($renglonindicador!= []) {
                    foreach ($renglonindicador as $ri) {
                        RenglonIndicadorInstrumentacionDidactica::create(['nouni_eviapre'=>$ri->unidad, 'evidenciaA_eviapre'=>$ri->evidencia, 'porcentaje_eviapre'=>$ri->porcentaje, 'a_eviapre'=>$ri->inda, 'b_eviapre'=>$ri->indb, 'c_eviapre'=>$ri->indc, 'd_eviapre'=>$ri->indd, 'e_eviapre'=>$ri->inde, 'f_eviapre'=>$ri->indf, 'evaluacionF_eviapre'=>$ri->evaluacionfor, 'cve_instdidac'=>$insdi->cve_instdidac,]);
                    }
                }
                $totalindicador=json_decode($data['totalesIndicador']);
                if ($totalindicador!= []) {
                    foreach ($totalindicador as $ti) {
                        TotalInstrumentacionDidactica::create(['noUni_totea'=>$ti->unidad,'ta_totea'=>$ti->sumaa, 'tb_totea'=>$ti->sumab, 'tc_totea'=>$ti->sumac, 'td_totea'=>$ti->sumad, 'te_totea'=>$ti->sumae, 'tf_totea'=>$ti->sumaf, 'cve_instdidac'=>$insdi->cve_instdidac,]);
                    }
                }
                return response()->json(['estado' => 'Exito', 'mensaje' => 'Instrumentación Didáctica Registrada y Entregada!']);
                }else{
                    $au=Aula::where('id_aula', $data['aula'])->first();
                    $insdi=instrumentaciondidactica::create(['horasTeoricas_instdidac'=>$data['horaT'], 'horasPracticas_instdidac'=>$data['horaP'], 'totalCreditos_instdidac'=>$data['total'], 'obj_instdidac'=>$data['obj'], 'obser_instdidac'=>$data['observacion'], 'status_instdidac'=>$data['estado'],'estado_instdidac'=>$data['status'], 'cve_mat'=>$data['materia'], 'cve_planest'=>$data['plan'], 'cve_aula'=>$au->cve_aula, 'cve_grup'=>$data['grupo'], 'id_periodo'=>$data['periodo'],]);
                    $enca = encabezadopie::max('cve_encpie');
                    $enca = encabezadopie::where('cve_encpie', $enca)->first();
                    InstrumentacionDidacticaEncabezadoPie::create(['cve_instdidac'=>$insdi->cve_instdidac, 'cve_encpie'=>$enca->cve_encpie,'id'=>$data['docente']]);
                    $renglonuni = json_decode($data['infoUni']);
                    if ($renglonuni != []) {
                        foreach ($renglonuni as $ru) {
                            RenglonUnidadInstrumentacionDidactica::create(['noUni_renid'=>$ru->unidad,'practicaDesc_renid'=>$ru->desc, 'practicaRes_renid'=>$ru->res, 'hrTPP_renid'=>$ru->P, 'hrTPE_renid'=>$ru->R,'fechaIni_renid'=>date("Y-m-d",strtotime($ru->fechaIni)),'fechaFin_renid'=>date("Y-m-d",strtotime($ru->fechaFin)),'cve_instdidac'=>$insdi->cve_instdidac,]);
                        }
                    }
                    $renglonindicador=json_decode($data['renglonIndicador']);
                    if ($renglonindicador!= []) {
                        foreach ($renglonindicador as $ri) {
                            RenglonIndicadorInstrumentacionDidactica::create(['nouni_eviapre'=>$ri->unidad, 'evidenciaA_eviapre'=>$ri->evidencia, 'porcentaje_eviapre'=>$ri->porcentaje, 'a_eviapre'=>$ri->inda, 'b_eviapre'=>$ri->indb, 'c_eviapre'=>$ri->indc, 'd_eviapre'=>$ri->indd, 'e_eviapre'=>$ri->inde, 'f_eviapre'=>$ri->indf, 'evaluacionF_eviapre'=>$ri->evaluacionfor, 'cve_instdidac'=>$insdi->cve_instdidac,]);
                        }
                    }
                    $totalindicador=json_decode($data['totalesIndicador']);
                    if ($totalindicador!= []) {
                        foreach ($totalindicador as $ti) {
                            TotalInstrumentacionDidactica::create(['noUni_totea'=>$ti->unidad,'ta_totea'=>$ti->sumaa, 'tb_totea'=>$ti->sumab, 'tc_totea'=>$ti->sumac, 'td_totea'=>$ti->sumad, 'te_totea'=>$ti->sumae, 'tf_totea'=>$ti->sumaf, 'cve_instdidac'=>$insdi->cve_instdidac,]);
                        }
                    }
                    return response()->json(['estado' => 'Exito', 'mensaje' => 'Instrumentación Didáctica Registrada como Borrador!']);
                }
            }
        }


    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Request $request,$id)
    {
        $data = $request->all();
        if ($data != []) {
            $jefe = 1;

            $ind=InstrumentacionDidactica::with('materia')->with('planEstudio')->with('aula')->where('cve_instdidac',$id)->first();
            $iep=InstrumentacionDidacticaEncabezadoPie::with('instrumentacionDidactica')->where('cve_instdidac',$id)->first();
            $docente=Docente::where('id',$iep->id)->first();
            $peri = Periodos::max('id');
            $peri = Periodos::where('id', $peri)->first();
            $t = Temario::where('cve_mat', $ind->cve_mat)->first();
            $sal = AsignacionMateriaDocente::where('cve_mat', $ind->cve_mat)->with('AsignacionHorario.horario')->get();
            $tem = Temario::with('materia')->where('cve_tem', $t->cve_tem)->first();
            $uni = Temuni::with('Unidad')->where('cve_tem', $t->cve_tem)->get();
            $act = TemarioActividadAprendizaje::with('ActividadAprendizaje')->where('cve_tem', $t->cve_tem)->get();
            $tamUni=Temuni::with('Unidad')->where('cve_tem', $t->cve_tem)->count();
            $plan=Planestudios::where('status_planest', '1')->get();
            $rengUni=RenglonUnidadInstrumentacionDidactica::where('cve_instdidac',$id)->get();
            $rengInd=RenglonIndicadorInstrumentacionDidactica::where('cve_instdidac',$id)->get();
            $totInd=TotalInstrumentacionDidactica::where('cve_instdidac',$id)->get();
            return view('docente.instrumentacion_didactica.consultar', compact('jefe','rengUni','rengInd','totInd','docente','ind','tem', 'uni', 'act', 'peri', 'sal','tamUni','plan'));
        }else{
            $ind=InstrumentacionDidactica::with('materia')->with('planEstudio')->with('aula')->where('cve_instdidac',$id)->first();
            $iep=InstrumentacionDidacticaEncabezadoPie::with('instrumentacionDidactica')->where('cve_instdidac',$id)->first();
            $docente=Docente::where('id',$iep->id)->first();
            $peri = Periodos::max('id');
            $peri = Periodos::where('id', $peri)->first();
            $t = Temario::where('cve_mat', $ind->cve_mat)->first();
            $sal = AsignacionMateriaDocente::where('cve_mat', $ind->cve_mat)->with('AsignacionHorario.horario')->get();
            $tem = Temario::with('materia')->where('cve_tem', $t->cve_tem)->first();
            $uni = Temuni::with('Unidad')->where('cve_tem', $t->cve_tem)->get();
            $act = TemarioActividadAprendizaje::with('ActividadAprendizaje')->where('cve_tem', $t->cve_tem)->get();
            $tamUni=Temuni::with('Unidad')->where('cve_tem', $t->cve_tem)->count();
            $plan=Planestudios::where('status_planest', '1')->get();
            $rengUni=RenglonUnidadInstrumentacionDidactica::where('cve_instdidac',$id)->get();
            $rengInd=RenglonIndicadorInstrumentacionDidactica::where('cve_instdidac',$id)->get();
            $totInd=TotalInstrumentacionDidactica::where('cve_instdidac',$id)->get();
            return view('docente.instrumentacion_didactica.consultar', compact('rengUni','rengInd','totInd','docente','ind','tem', 'uni', 'act', 'peri', 'sal','tamUni','plan'));
        }
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $observacion=ObservacionesID::where('cve_instdidac',$id)->first();
        $ind=InstrumentacionDidactica::with('materia')->with('planEstudio')->with('aula')->where('cve_instdidac',$id)->first();
        $iep=InstrumentacionDidacticaEncabezadoPie::with('instrumentacionDidactica')->where('cve_instdidac',$id)->first();
        $docente=Docente::where('id',$iep->id)->first();
        $peri = Periodos::max('id');
        $peri = Periodos::where('id', $peri)->first();
        $t = Temario::where('cve_mat', $ind->cve_mat)->first();
        $sal = AsignacionMateriaDocente::where('cve_mat', $ind->cve_mat)->with('AsignacionHorario.horario')->get();
        $tem = Temario::with('materia')->where('cve_tem', $t->cve_tem)->first();
        $uni = Temuni::with('Unidad')->where('cve_tem', $t->cve_tem)->get();
        $act = TemarioActividadAprendizaje::with('ActividadAprendizaje')->where('cve_tem', $t->cve_tem)->get();
        $tamUni=Temuni::with('Unidad')->where('cve_tem', $t->cve_tem)->count();
        $plan=Planestudios::where('status_planest', '1')->get();
        $rengUni=RenglonUnidadInstrumentacionDidactica::where('cve_instdidac',$id)->get();
        $rengInd=RenglonIndicadorInstrumentacionDidactica::where('cve_instdidac',$id)->get();
        $totInd=TotalInstrumentacionDidactica::where('cve_instdidac',$id)->get();
        return view('docente.instrumentacion_didactica.modificar', compact('rengUni','rengInd','totInd','docente','ind','tem', 'uni', 'act', 'peri', 'sal','tamUni','plan', 'observacion'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $data=$request->all();
        $instd=instrumentaciondidactica::findOrFail($id);
        if ($data['status'] == "Entregado") {
            $obs=ObservacionesID::where('cve_instdidac',$id)->where('status_obid',1)->first();
            if($obs!=null){
                $o=ObservacionesID::findOrFail($obs->cve_obid);
                $o->status_obid=0;
                $o->save();
            }
            $instd->obj_instdidac=$data['obj'];
            $instd->obser_instdidac=$data['observacion'];
            $instd->cve_planest=$data['plan'];
            $instd->estado_instdidac=$data['status'];
            $instd->status_instdidac=$data['estado'];
            $instd->save();
            RenglonUnidadInstrumentacionDidactica::where('cve_instdidac',$id)->delete();
            RenglonIndicadorInstrumentacionDidactica::where('cve_instdidac',$id)->delete();
            TotalInstrumentacionDidactica::where('cve_instdidac',$id)->delete();
            $renglonuni = json_decode($data['infoUni']);
            if ($renglonuni != []) {
                foreach ($renglonuni as $ru) {
                    RenglonUnidadInstrumentacionDidactica::create(['noUni_renid'=>$ru->unidad,'practicaDesc_renid'=>$ru->desc, 'practicaRes_renid'=>$ru->res, 'hrTPP_renid'=>$ru->P, 'hrTPE_renid'=>$ru->R,'fechaIni_renid'=>date("Y-m-d",strtotime($ru->fechaIni)),'fechaFin_renid'=>date("Y-m-d",strtotime($ru->fechaFin)),'cve_instdidac'=>$id,]);
                }
            }
            $renglonindicador=json_decode($data['renglonIndicador']);
            if ($renglonindicador!= []) {
                foreach ($renglonindicador as $ri) {
                    RenglonIndicadorInstrumentacionDidactica::create(['nouni_eviapre'=>$ri->unidad, 'evidenciaA_eviapre'=>$ri->evidencia, 'porcentaje_eviapre'=>$ri->porcentaje, 'a_eviapre'=>$ri->inda, 'b_eviapre'=>$ri->indb, 'c_eviapre'=>$ri->indc, 'd_eviapre'=>$ri->indd, 'e_eviapre'=>$ri->inde, 'f_eviapre'=>$ri->indf, 'evaluacionF_eviapre'=>$ri->evaluacionfor, 'cve_instdidac'=>$id,]);
                }
            }
            $totalindicador=json_decode($data['totalesIndicador']);
            if ($totalindicador!= []) {
                foreach ($totalindicador as $ti) {
                    TotalInstrumentacionDidactica::create(['noUni_totea'=>$ti->unidad,'ta_totea'=>$ti->sumaa, 'tb_totea'=>$ti->sumab, 'tc_totea'=>$ti->sumac, 'td_totea'=>$ti->sumad, 'te_totea'=>$ti->sumae, 'tf_totea'=>$ti->sumaf, 'cve_instdidac'=>$id,]);
                }
            }
            return response()->json(['estado' => 'Exito', 'mensaje' => 'Instrumentación Didáctica Actualizado y Entregado!']);
        }else{
            $instd->obj_instdidac=$data['obj'];
            $instd->obser_instdidac=$data['observacion'];
            $instd->cve_planest=$data['plan'];
            $instd->estado_instdidac=$data['status'];
            $instd->status_instdidac=$data['estado'];
            $instd->save();
            RenglonUnidadInstrumentacionDidactica::where('cve_instdidac',$id)->delete();
            RenglonIndicadorInstrumentacionDidactica::where('cve_instdidac',$id)->delete();
            TotalInstrumentacionDidactica::where('cve_instdidac',$id)->delete();
            $renglonuni = json_decode($data['infoUni']);
            if ($renglonuni != []) {
                foreach ($renglonuni as $ru) {
                    RenglonUnidadInstrumentacionDidactica::create(['noUni_renid'=>$ru->unidad,'practicaDesc_renid'=>$ru->desc, 'practicaRes_renid'=>$ru->res, 'hrTPP_renid'=>$ru->P, 'hrTPE_renid'=>$ru->R,'fechaIni_renid'=>date("Y-m-d",strtotime($ru->fechaIni)),'fechaFin_renid'=>date("Y-m-d",strtotime($ru->fechaFin)),'cve_instdidac'=>$id,]);
                }
            }
            $renglonindicador=json_decode($data['renglonIndicador']);
            if ($renglonindicador!= []) {
                foreach ($renglonindicador as $ri) {
                    RenglonIndicadorInstrumentacionDidactica::create(['nouni_eviapre'=>$ri->unidad, 'evidenciaA_eviapre'=>$ri->evidencia, 'porcentaje_eviapre'=>$ri->porcentaje, 'a_eviapre'=>$ri->inda, 'b_eviapre'=>$ri->indb, 'c_eviapre'=>$ri->indc, 'd_eviapre'=>$ri->indd, 'e_eviapre'=>$ri->inde, 'f_eviapre'=>$ri->indf, 'evaluacionF_eviapre'=>$ri->evaluacionfor, 'cve_instdidac'=>$id,]);
                }
            }
            $totalindicador=json_decode($data['totalesIndicador']);
            if ($totalindicador!= []) {
                foreach ($totalindicador as $ti) {
                    TotalInstrumentacionDidactica::create(['noUni_totea'=>$ti->unidad,'ta_totea'=>$ti->sumaa, 'tb_totea'=>$ti->sumab, 'tc_totea'=>$ti->sumac, 'td_totea'=>$ti->sumad, 'te_totea'=>$ti->sumae, 'tf_totea'=>$ti->sumaf, 'cve_instdidac'=>$id,]);
                }
            }
            return response()->json(['estado' => 'Exito', 'mensaje' => 'Instrumentación Didáctica Actualizada y guardada como borrador!']);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function exportPdf(Request $request)
    {
        $data = $request->all();

        $pdf = "";
        $enca = Encabezadopie::max('cve_encpie');
        $peri = Periodos::max('id');
        $peri = Periodos::where('id', $peri)->first();
        $firma = FirmarID::where('cve_instdidac', $data['ind'])->first();
        $enca = Encabezadopie::where('cve_encpie', $enca)->first();
        $ind=InstrumentacionDidactica::with('materia')->with('planEstudio')->with('aula')->where('cve_instdidac',$data['ind'])->first();
        $iep=InstrumentacionDidacticaEncabezadoPie::with('instrumentacionDidactica')->where('cve_instdidac',$data['ind'])->first();
        $t = Temario::where('cve_mat', $ind->cve_mat)->first();
        $sal = AsignacionMateriaDocente::where('cve_mat', $ind->cve_mat)->with('AsignacionHorario.horario')->get();
        $tem = Temario::with('materia')->where('cve_tem', $t->cve_tem)->first();
        $uni = Temuni::with('Unidad')->where('cve_tem', $t->cve_tem)->get();
        $act = TemarioActividadAprendizaje::with('ActividadAprendizaje')->where('cve_tem', $t->cve_tem)->get();
        $tamUni=Temuni::with('Unidad')->where('cve_tem', $t->cve_tem)->count();
        $plan=Planestudios::where('status_planest', '1')->get();
        $rengUni=RenglonUnidadInstrumentacionDidactica::where('cve_instdidac',$data['ind'])->get();
        $rengInd=RenglonIndicadorInstrumentacionDidactica::where('cve_instdidac',$data['ind'])->get();
        $totInd=TotalInstrumentacionDidactica::where('cve_instdidac',$data['ind'])->get();
        $pdf = Pdf::loadView('docente.documentos.instrumentacionDidacticapdf', ['periodo'=>$peri,'enca' => $enca,'ind'=>$ind,'tem'=>$tem, 'uni'=>$uni, 'act'=>$act,'rengUni'=>$rengUni,'rengInd'=>$rengInd,'totInd'=>$totInd,'plan'=>$plan,'firma'=>$firma]);
        return $pdf->setPaper('a4','landscape')->download('InstrumentacionDidactica.pdf');
    }

}
